--https://love2d.org/forums/viewtopic.php?t=95714
LG = love.graphics
fadeCanvas = love.graphics.newCanvas( )
fadeTimer = 0
t = 0

function love.update (dt)
	fadeTimer = fadeTimer + dt
	t = t +dt
end

function love.draw()
	local mx,my = love.mouse.getPosition( )
	--LG.push()

	LG.setCanvas(fadeCanvas)
	if fadeTimer > 0.05 then
		--every n frames draw a black slightly transparent rectangle
		--over the whole canvas
		fadeTimer = 0
		LG.setColor (0,0,0,0.1)
		LG.rectangle ("fill",0,0,800,600)
	end
	
	--brown mouse trail
	LG.setColor (0.4,0.3,0, 1)
	LG.circle ("fill", mx,my,20)
	for i=1,20 do
		LG.line (mx,my, mx+math.random(-30,30),my+math.random(-30,30))
	end
	
	--green trail
	local x = 400+ math.sin(t)*200 + math.cos(0.2+t*1.5)*100 math.random(-10,10)
	local y = 300+ math.cos(t)*200 +math.random(-10,10)
	LG.setColor (0,0.7,0, 1)
	LG.circle ("fill",x,y,20)
	
	--purple trail
	local x = 400+ math.cos(t*2)*200 + math.cos(0.2+t*3)*50 math.random(-10,10)
	local y = 300+ math.sin(t*2)*200 +math.random(-10,10)
	LG.setColor (0.6,0,0.7, 1)
	LG.circle ("fill",x,y,10)
	
	LG.setCanvas ()
	--LG.pop()
	LG.setColor (1,1,1,1)
	LG.draw (fadeCanvas)
end
